XSLTProcessor::setParameter
XSLTProcessor::transformToURI
XSLTProcessor
PHP Manual

# XSLTProcessor::transformToDoc

(No version information available, might be only in CVS)

XSLTProcessor::transformToDoc — Transform to a DOMDocument

### Description

XSLTProcessor
DOMDocument transformToDoc ( DOMNode `$doc` )

Transforms the source node to a DOMDocument applying the stylesheet given by the XSLTProcessor::importStylesheet() method.

### Parameters

`doc`

  The node to be transformed.

### Return Values

The resulting DOMDocument or `FALSE` on error.

### Examples

Example #1 Transforming to a DOMDocument

`<?php
// Load the XML source
$xml = new DOMDocument;
$xml->load('collection.xml');
$xsl = new DOMDocument;
$xsl->load('collection.xsl');
// Configure the transformer
$proc = new XSLTProcessor;
$proc->importStyleSheet($xsl); // attach the xsl rules
echo trim($proc->transformToDoc($xml)->firstChild->wholeText);
?>`

The above example will output:

    Hey! Welcome to Nicolas Eliaszewicz's sweet CD collection!

### See Also

- XSLTProcessor::transformToUri()
- XSLTProcessor::transformToXml()

XSLTProcessor::setParameter
XSLTProcessor::transformToURI
XSLTProcessor
PHP Manual